Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # homogeneous_color_base< Element, Layout, 1 > Struct Template Reference [detail::homogeneous_color_base] `#include <color_base.hpp>` List of all members. ## Detailed Description ### template<typename Element, typename Layout> struct boost::gil::detail::homogeneous_color_base< Element, Layout, 1 > A homogeneous color base holding one color element. Models HomogeneousColorBaseConcept or HomogeneousColorBaseValueConcept.
## Public Types
typedef Layout | layout_t
## Public Member Functions
element_reference_type < homogeneous_color_base > ::type | at (mpl::int_< 0 >)
element_const_reference_type < homogeneous_color_base > ::type | at (mpl::int_< 0 >) const
| homogeneous_color_base (Element v)
| operator Element () const
template<typename E2, typename L2>
| homogeneous_color_base (const homogeneous_color_base< E2, L2, 1 > &c)
The documentation for this struct was generated from the following file: color_base.hpp